<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "../xsl/mmlents/windob.dtd">
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:xhtml="http://www.w3.org/1999/xhtml">

<xsl:output 
  method="html"
  encoding="UTF-8"
  doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
  doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
  indent="yes" />


<xsl:template match="/">
	<xsl:apply-templates select="*|text()|processing-instruction()"/>
</xsl:template>

<xsl:template match="xhtml:html">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr">
		<xsl:apply-templates/>
	</html>
</xsl:template>

<xsl:template match="xhtml:head">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="description" content="site de NAT transcripteur universel de documents standards en texte braille"/>
		<meta name="keywords" content="transcripteur, braille, intégral, abrégé, texte, mathématiques, plage, synthèse, vocale, embosseuse"/>
		<link xmlns="http://www.w3.org/1999/xhtml" title="default" media="screen" rel="stylesheet" href="nat.css" type="text/css" />
		<link xmlns="http://www.w3.org/1999/xhtml" title="impression" media="screen" href="../nat-print.css" type="text/css" rel="alternate stylesheet" />
		<link xmlns="http://www.w3.org/1999/xhtml" title="impression" media="print" href="../nat-print.css" type="text/css" rel="stylesheet" />
		<title><xsl:value-of select="title"/></title>
	</head>
</xsl:template>

<xsl:template match="xhtml:body">
	<body class="doc">
		<div id="sommaire">
			<img src="images/logoNat.png" alt="logo de NAT"/>
			<ul>
				<li><a href="../index.html">Accueil</a></li>
				<li><a href="presentation.html">Présentation</a></li>
				<li><a href="../index.html#telecharger">Dernière version</a></li>
				<li><a href="installation.html">Installation</a></li>
				<li><a href="index.html">Aide en ligne</a></li>
				<li><a href="contact.html">Contact</a></li>
				<li><a href="../telechargements.html">Téléchargements</a></li>
				<li><a href="credits.html">Remerciements</a></li>
			</ul>
			<div id="style">
				<script src="../images/changeStyle.js" type="text/javascript"></script>
				<noscript><p>Vous ne pourrez pas changer de style si vous n'activez pas java script</p></noscript>
				<p>Styles possibles:</p>
				<ul>
					<li class="permanent"><a onKeyPress="setActiveStyleSheet('default'); return false;" onclick="setActiveStyleSheet('default'); return false;" href="#">Style fond clair</a></li>
					<li><a onKeyPress="setActiveStyleSheet('impression'); return false;" onclick="setActiveStyleSheet('impression'); return false;" href="#">Style impression</a></li>
				</ul>
			</div>
		</div>
		<xsl:copy-of select="xhtml:div"/>
	</body>
</xsl:template>
</xsl:stylesheet>